The Puppet Labs Issue Tracker has Moved: https://tickets.puppetlabs.com

Feature #5275

add support for chaining a list of resources

Added by Cristian Ciupitu almost 4 years ago. Updated almost 3 years ago.

Status:DuplicateStart date:11/12/2010
Priority:NormalDue date:
Assignee:-% Done:

0%

Category:-
Target version:-
Affected Puppet version: Branch:
Keywords:

We've Moved!

Ticket tracking is now hosted in JIRA: https://tickets.puppetlabs.com

This issue is currently not available for export. If you are experiencing the issue described below, please file a new ticket in JIRA. Once a new ticket has been created, please add a link to it that points back to this Redmine ticket.


Description

Puppet doesn’t support chaining a list of resources. The code:

Package["cobbler"] -> Config_file["/etc/cobbler/settings", "/etc/cobbler/modules.conf"] ~> Service["cobblerd"]

throws the following errors:

puppet-master[14824]: Could not find resource 'Config_file[/etc/cobbler/settings]Config_file[/etc/cobbler/modules.conf]' for relationship from 'Package[cobbler]'
puppet-master[14824]: Could not find resource 'Config_file[/etc/cobbler/settings]Config_file[/etc/cobbler/modules.conf]' for relationship from 'Package[cobbler]'
puppet-agent[14885]: Could not retrieve catalog from remote server: Error 400 on SERVER: Could not find resource 'Config_file[/etc/cobbler/settings]Config_file[/etc/cobbler/modules.conf]' for relationship from 'Package[cobbler]'

In case it matters, I’m using puppet-2.6.3-0.3.rc2.fc14.noarch.


Related issues

Related to Puppet - Bug #6710: Relationship syntax should work with title arrays Closed 03/14/2011
Duplicates Puppet - Bug #4946: Dependency abbreviations incorrectly parsed In Topic Branch Pending Review 10/05/2010

History

#1 Updated by James Turnbull almost 4 years ago

  • Status changed from Unreviewed to Needs Decision
  • Assignee set to Nigel Kersten

#2 Updated by Nigel Kersten almost 4 years ago

  • Status changed from Needs Decision to Accepted
  • Assignee deleted (Nigel Kersten)

We support this syntax elsewhere in before/require relationships and in resource overrides in inherited classes, so we should support it here for consistency.

#3 Updated by Nan Liu almost 3 years ago

  • Status changed from Accepted to Duplicate
  • Affected Puppet version deleted (2.6.3rc2)

See duplicate bug: #4946.

Also available in: Atom PDF